Description

Supportanfrage

I need clarification regarding ADTF 3.11.1

1. Can we use Visual Code for ADTF 3.11.1, if yes then which version?

2. Python version compatibility with ADTF 3.11.1?

3. Can we integrate OpenCV library with ADTF 3.11.1, if yes then any specific version?

4. Can you provide some example code how to convert .avi to .dat format

Lösung

1. Can we use Visual Code for ADTF 3.11.1, if yes then which version?

 Of course you can use VSCode or VSCodium, this is just an alternate Notepad/IDE like Notepad++ or QTCreator.

There are no restrictions and we recommend using always latest.

There is also no relation to System Requirements, but you have to use and install seperately the MSBuild standalone or come with

VS 2017 and fullfill the MSVC 2017 VC141 toolchain (we discussed long in #13736)

2. Python version compatibility with ADTF 3.11.1?

 ADTF has no direct relation to Python, there are no dependencies or interfaces.

Where do you want to use it ?

For automaziation scripts, just use whatever you want (of course you should not make use of Python 2.x after its EOL anymore...)

We plan a Python Scripting Filter in future, but the used Python version must be defined (currently we are using Python 3.8.4 for

conan so something like this)

3. Can we integrate OpenCV library with ADTF 3.11.1, if yes then any specific version?

 You can integrate 3rd party libraries whatever you want.

Please keep the open source rules in mind, ADTF is not compatible to GPL!!

We are using OpenCV 4.1.0 -> 

https://artifactory.digitalwerk.net/ui/repos/tree/General/dw-developer-sdk%2Fdw%2FOpenCV%2F4.1.0%2Fstable

But ADTF itself has no dependencies for OpenCV.

4. Can you provide some example code how to convert .avi to .dat format

 Do you know our open source community ?

You will find a avi reader there based on OpenCV -> https://git.digitalwerk.net/adtf3_open_source/adtffileplugins/readers/avi_reader
https://artifactory.digitalwerk.net/ui/repos/tree/General/dw-developer-sdk%2Fdw%2FOpenCV%2F4.1.0%2Fstable
https://git.digitalwerk.net/adtf3_open_source/adtffileplugins/readers/avi_reader


- Status changed from New to In Progress

- Customer set to DAIMLER

- Affected Products ADTF 3.11.1 added

- Platform Windows 10 64bit added

#3 - 2021-04-08 16:00 - hidden

- Status changed from In Progress to Customer Feedback Required

- Topic set to ADTF::Common

Hi Anil,

1. Can we use Visual Code for ADTF 3.11.1, if yes then which version?

 Of course you can use VSCode or VSCodium, this is just an alternate Notepad/IDE like Notepad++ or QTCreator.

There are no restrictions and we recommend using always latest.

There is also no relation to System Requirements, but you have to use and install seperately the MSBuild standalone or come with VS 2017 and fullfill

the MSVC 2017 VC141 toolchain (we discussed long in #13736)

2. Python version compatibility with ADTF 3.11.1?

 ADTF has no direct relation to Python, there are no dependencies or interfaces.

Where do you want to use it ?

For automaziation scripts, just use whatever you want (of course you should not make use of Python 2.x after its EOL anymore...)

We plan a Python Scripting Filter in future, but the used Python version must be defined (currently we are using Python 3.8.4 for conan so something

like this)

3. Can we integrate OpenCV library with ADTF 3.11.1, if yes then any specific version?

 You can integrate 3rd party libraries whatever you want.

Please keep the open source rules in mind, ADTF is not compatible to GPL!!

We are using OpenCV 4.1.0 -> https://artifactory.digitalwerk.net/ui/repos/tree/General/dw-developer-sdk%2Fdw%2FOpenCV%2F4.1.0%2Fstable

But ADTF itself has no dependencies for OpenCV.

4. Can you provide some example code how to convert .avi to .dat format

 Do you know our open source community ?

You will find a avi reader there based on OpenCV -> https://git.digitalwerk.net/adtf3_open_source/adtffileplugins/readers/avi_reader

#6 - 2021-04-19 08:26 - hidden

- Project changed from 9 to Public Support

- Subject changed from ADTF 3.11.1 Support to Using VSCode, OpenCV for avi conversion

- Description updated

- Private changed from Yes to No

- Resolution set to No Customer Feedback

#7 - 2021-04-19 08:27 - hidden

- Status changed from Customer Feedback Required to To Be Closed

#8 - 2022-01-17 08:17 - hidden

- Status changed from To Be Closed to Closed

Powered by TCPDF (www.tcpdf.org)

2024-04-19 2/2

https://artifactory.digitalwerk.net/ui/repos/tree/General/dw-developer-sdk%2Fdw%2FOpenCV%2F4.1.0%2Fstable
https://git.digitalwerk.net/adtf3_open_source/adtffileplugins/readers/avi_reader
http://www.tcpdf.org

